use std::io;
use std::io::prelude::*;
use std::fs::File;

fn read_lines(filename: &str) -> io::Result<impl Iterator<Item = io::Result<String>>> {
    let file = File::open(filename)?;
    Ok(io::BufReader::new(file).lines())
}

fn print_step(step: i8, value: u64) {
    println!("Step {step} solution: {solution}");
}
